#if defined(_WIN32) && !defined(__CYGWIN32__)
#define sw_string_table_utf8jp sw_string_table_jp
#else

#ifdef __cplusplus
extern "C" {
#endif

spStringTable sw_string_table_utf8jp[] = {
    {SW_MENU_FILE_LABEL_ID, "ファイル(&F)"},
    {SW_MENU_OPEN_LABEL_ID, "開く(&O)..."},
    {SW_MENU_SAVE_LABEL_ID, "保存(&S)"},
    {SW_MENU_CLOSE_LABEL_ID, "閉じる(&C)"},
    {SW_MENU_QUIT_LABEL_ID, "終了(&x)"},
    
    {SW_MENU_OPEN_NEW_LABEL_ID, "新規に開く(&N)..."},
    {SW_MENU_SAVE_AS_LABEL_ID, "名前を付けて保存(&A)..."},
    {"SW_MENU_GENERATE_LABEL", "波形生成(&G)..."},
    
    {SW_MENU_OPEN_DESC_ID, "このウィンドウでファイルを開く"},
    {SW_MENU_OPEN_NEW_DESC_ID, "新しいウィンドウでファイルを開く"},
    {SW_MENU_SAVE_DESC_ID, "このファイルを保存"},
    {SW_MENU_SAVE_AS_DESC_ID, "名前を付けてファイルを保存"},
    
    {"SW_MENU_PAGE_SETUP_LABEL", "ページ設定(&u)..."},
    {"SW_MENU_PRINT_LABEL", "印刷(&P)..."},
    {"SW_MENU_PRINT_TARGET_LABEL", "印刷先(&T)"},
	
    {SW_MENU_PAGE_LABEL_ID, "ページ(&P)"},
    {SW_MENU_FORWARD_LABEL_ID, "進む(&F)"},
    {SW_MENU_BACKWARD_LABEL_ID, "戻る(&B)"},
    {SW_MENU_GO_HEAD_LABEL_ID, "先頭(&H)"},
    {SW_MENU_GO_TAIL_LABEL_ID, "末尾(&T)"},
    {SW_MENU_NEXT_WINDOW_LABEL_ID, "次のウィンドウ(&N)"},
    {SW_MENU_PREV_WINDOW_LABEL_ID, "前のウィンドウ(&P)"},
    {SW_MENU_ALIGN_WINDOW_LABEL_ID, "同期(&l)"},
    {SW_MENU_SELECT_REGION_LABEL_ID, "この範囲を指定(&S)"},
    {SW_MENU_SELECT_ALL_REGION_LABEL_ID, "全部を同じ範囲に(&R)"},
    {SW_MENU_SELECT_ALL_LABEL_ID, "全て選択(&A)"},
    {SW_MENU_SELECT_NEXT_CHANNEL_LABEL_ID, "次のチャネルを選択(&C)"},
    {SW_MENU_SELECT_FROM_HERE_LABEL_ID, "ここから選択(&m)"},
    {SW_MENU_SELECT_TO_HERE_LABEL_ID, "ここまで選択(&o)"},
    
    {SW_MENU_VIEW_LABEL_ID, "表示(&V)"},
    {SW_MENU_ZOOM_IN_LABEL_ID, "拡大(&I)"},
    {SW_MENU_ZOOM_OUT_LABEL_ID, "縮小(&O)"},
    {SW_MENU_ZOOM_FULL_OUT_LABEL_ID, "全体の表示(&F)"},
    {SW_MENU_ZOOM_REGION_LABEL_ID, "指定範囲を拡大(&B)"},
    {SW_MENU_ZOOM_IN_AMPLITUDE_LABEL_ID, "縦軸の拡大"},
    {SW_MENU_ZOOM_OUT_AMPLITUDE_LABEL_ID, "縦軸の縮小"},
    {SW_MENU_ZOOM_FULL_OUT_AMPLITUDE_LABEL_ID, "縦軸の全体の表示"},
    {SW_MENU_ALIGN_AMPLITUDE_LABEL_ID, "縦軸の同期"},
    {SW_MENU_DISPLAY_INFO_AREA_LABEL_ID, "情報エリアを表示(&A)"},
    {SW_MENU_DRAW_DETAIL_LABEL_ID, "詳細な描画(&D)"},
    {SW_MENU_DRAW_LABEL_LABEL_ID, "ラベルの描画(&L)"},
    {SW_MENU_SPECTROGRAM_LABEL_ID, "スペクトログラム(&g)"},
    {SW_MENU_NO_SPECTROGRAM_LABEL_ID, "スペクトログラムなし(&o)"},
    {SW_MENU_WIDE_SPECTROGRAM_LABEL_ID, "広帯域スペクトログラム(&W)"},
    {SW_MENU_NARROW_SPECTROGRAM_LABEL_ID, "狭帯域スペクトログラム(&N)"},
    {SW_MENU_NARROW_SMOOTHED_SPECTROGRAM_LABEL_ID, "平滑化スペクトログラム(&m)"},
    {SW_MENU_UPDATE_SPECTROGRAM_LABEL_ID, "スペクトログラムの更新(&U)"},
    {SW_MENU_SPECTROGRAM_DIALOG_LABEL_ID, "スペクトログラムの設定(&S)..."},
    
    {SW_MENU_ANALYSIS_SUBPLOT_LABEL_ID, "分析結果のサブプロット(&p)"},
    {SW_MENU_ANALYSIS_SUBPLOT_SPECTROGRAM_LABEL_ID, "スペクトログラム(&S)"},
    {SW_MENU_ANALYSIS_SUBPLOT_F0_LABEL_ID, "基本周波数(&F)"},
    {SW_MENU_ANALYSIS_SUBPLOT_POWER_LABEL_ID, "パワー(&P)"},
    {SW_MENU_ANALYSIS_SUBPLOT_APERIODICITY_LABEL_ID, "非周期性(&A)"},
    {SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_SPECGRAM_LABEL_ID, "ST&RAIGHTスペクトログラム"},
    {SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_F0_LABEL_ID, "STRAIG&HT F0"},
	
    {SW_MENU_TIME_FORMAT_LABEL_ID, "時間軸(&T)"},
    {SW_MENU_TIME_FORMAT_SEC_LABEL_ID, "秒(&S)"},
    {SW_MENU_TIME_FORMAT_MSEC_LABEL_ID, "ミリ秒(&M)"},
    {SW_MENU_TIME_FORMAT_POINT_LABEL_ID, "ポイント(&P)"},
    {SW_MENU_TIME_FORMAT_SEPARATED_SEC_LABEL_ID, "分割秒(&r)"},
    
    {SW_MENU_PLAY_DESC_ID, "指定範囲を再生"},
    {SW_MENU_LOOP_PLAY_DESC_ID, "指定範囲のループ再生を有効に"},
    {SW_MENU_SYNC_PLAY_DESC_ID, "同期再生を有効に"},
    {SW_MENU_PLAY_STOP_DESC_ID, "処理を停止"},
    {SW_MENU_FORWARD_DESC_ID, "進む"},
    {SW_MENU_BACKWARD_DESC_ID, "戻る"},
    {SW_MENU_GO_HEAD_DESC_ID, "先頭"},
    {SW_MENU_GO_TAIL_DESC_ID, "末尾"},
    {SW_MENU_ZOOM_IN_DESC_ID, "拡大"},
    {SW_MENU_ZOOM_OUT_DESC_ID, "縮小"},
    {"SW_MENU_PAUSE_CURSOR_DESC", "カーソルを停止状態に"},
    
    {SW_MENU_EDIT_LABEL_ID, "編集(&E)"},
    {SW_MENU_UNDO_LABEL_ID, "取り消し(&U)"},
    {SW_MENU_REDO_LABEL_ID, "やり直し(&R)"},
    {SW_MENU_CUT_LABEL_ID, "切り取り(&C)"},
    {SW_MENU_COPY_LABEL_ID, "コピー(&y)"},
    {SW_MENU_CLIPBOARD_WINDOW_LABEL_ID, "クリップボードウィンドウ(&l)..."},
    {SW_MENU_CROP_LABEL_ID, "切り出し(&o)"},
    {SW_MENU_DELETE_LABEL_ID, "削除(&D)"},
    {SW_MENU_ERASE_LABEL_ID, "イレース(&r)"},
    {SW_MENU_EXTRACT_LABEL_ID, "取り出し(&x)"},
    {SW_MENU_EXTRACT_AUTOSAVE_LABEL_ID, "取り出しと自動保存(&A)"},
    {SW_MENU_SAVE_BY_NORMAL_LABEL_LABEL_ID, "通常ラベルによる保存..."},
    {SW_MENU_SAVE_BY_REGION_LABEL_LABEL_ID, "範囲ラベルによる保存..."},
    {SW_MENU_INVERT_LABEL_ID, "振幅の反転(&v)"},
    {SW_MENU_AMPLIFY_LABEL_ID, "振幅の変更(&m)..."},
    {SW_MENU_NORMALIZE_LABEL_ID, "振幅の正規化(&N)..."},
    {SW_MENU_FADE_IN_LABEL_ID, "フェードイン(&I)"},
    {SW_MENU_FADE_OUT_LABEL_ID, "フェードアウト(&O)"},
    {SW_MENU_CHANNEL_SWAP_LABEL_ID, "チャネル入れ換え(&S)"},
    
    {SW_MENU_MAXIMIZE_LABEL_ID, "最大化..."},
    {SW_MENU_SAMP_RATE_CONV_LABEL_ID, "サンプリング周波数変換(&F)..."},
    {SW_MENU_CHANNEL_CONV_LABEL_ID, "チャネル変換(&h)..."},
    {SW_MENU_BIT_CONV_LABEL_ID, "ビット/サンプル変換(&B)..."},
    {SW_MENU_MONAURALIZE_LABEL_ID, "モノラル化(&z)"},
    {"SW_MENU_FILTERING_LABEL", "フィルタリング(&g)..."},
    
    {SW_MENU_CLIPBOARD_LABEL_ID, "クリップボード(&C)"},
    {SW_MENU_PASTE_LABEL_ID, "貼り付け(&P)"},
    {SW_MENU_INSERT_LABEL_ID, "挿入(&I)"},
    {SW_MENU_CAT_LABEL_ID, "末尾へ結合(&T)"},
    {SW_MENU_CATTOP_LABEL_ID, "先頭へ結合"},
    {SW_MENU_MIX_LABEL_ID, "ミックス(&M)"},
    {SW_MENU_REPLACE_LABEL_ID, "置換(&R)"},
    {SW_MENU_INSERT_PAUSE_LABEL_ID, "無音区間の挿入(&u)..."},
    {SW_MENU_CHANGE_VALUE_LABEL_ID, "値の変更(&V)..."},
    
    {SW_MENU_HELP_LABEL_ID, "ヘルプ(&H)"},
    {SW_MENU_DISPLAY_HELP_LABEL_ID, "目次(&C)"},
    {SW_MENU_INFO_LABEL_ID, "このソフトについて(&I)"},
    {SW_MENU_PLUGIN_INFO_LABEL_ID, "プラグイン情報(&P)"},

    {SW_MENU_SOUND_LABEL_ID, "サウンド(&S)"},

    {SW_MENU_PLAY_LABEL_ID, "指定範囲を再生(&P)"},
    {SW_MENU_PLAY_WINDOW_LABEL_ID, "ウィンドウの範囲を再生(&W)"},
    {SW_MENU_PLAY_FILE_LABEL_ID, "波形全体を再生(&t)"},
    {SW_MENU_RECORD_LABEL_ID, "指定範囲に録音(&R)"},
    {SW_MENU_PLAY_STOP_LABEL_ID, "処理を停止(&S)"},
    {SW_MENU_LOOP_PLAY_LABEL_ID, "ループ再生を有効に(&L)"},
    {SW_MENU_SYNC_PLAY_LABEL_ID, "同期再生を有効に(&y)"},
    {"SW_MENU_PAUSE_CURSOR_LABEL", "カーソルを停止状態に(&u)"},
    
    {SW_MENU_ANALYSIS_PREFERENCE_LABEL_ID, "分析の設定(&A)..."},
    {SW_MENU_ANALYSIS_LABEL_ID, "分析(&A)"},
    {SW_MENU_ANALYSIS_REGION_LABEL_ID, "指定範囲の分析(&M)"},
    {SW_MENU_ANALYSIS_WIDE_LABEL_ID, "広帯域分析(&W)"},
    {SW_MENU_ANALYSIS_NARROW_LABEL_ID, "狭帯域分析(&N)"},
    
    {SW_MENU_PREFERENCE_LABEL_ID, "設定(&P)..."},
    {SW_MENU_INFO_DIALOG_LABEL_ID, "ファイルの情報(&F)..."},
    
    {SW_MENU_LABEL_LABEL_ID, "ラベル(&L)"},
    {SW_MENU_OPEN_LABEL_LABEL_ID, "ラベルを開く(&O)..."},
    {SW_MENU_SAVE_LABEL_LABEL_ID, "ラベルを保存(&S)"},
    {SW_MENU_SAVE_AS_LABEL_LABEL_ID, "ラベルを名前を付けて保存(&A)..."},
    {SW_MENU_CLEAR_LABEL_LABEL_ID, "ラベルをクリア(&C)"},
    {SW_MENU_OPEN_REGION_LABEL_LABEL_ID, "範囲ラベルを開く(&O)..."},
    {SW_MENU_SAVE_REGION_LABEL_LABEL_ID, "範囲ラベルを保存(&S)"},
    {SW_MENU_SAVE_AS_REGION_LABEL_LABEL_ID, "範囲ラベルを名前を付けて保存(&A)..."},
    {SW_MENU_CLEAR_REGION_LABEL_LABEL_ID, "範囲ラベルをクリア(&C)"},
    
    {SW_MENU_INSERT_SIMPLE_LABEL_LABEL_ID, "シンプルなラベルの挿入(&S)"},
    {SW_MENU_INSERT_VALUE_LABEL_LABEL_ID, "値付きラベルの挿入(&V)"},
    {SW_MENU_INSERT_LABEL_LABEL_ID, "ラベルの挿入(&I)..."},
    {SW_MENU_CHANGE_LABEL_LABEL_ID, "ラベルの変更(&C)..."},
    {SW_MENU_ERASE_LABEL_LABEL_ID, "ラベルの削除(&E)"},
    {SW_MENU_ERASE_LABEL_REGION_LABEL_ID, "範囲内のラベルを削除(&R)"},
    {SW_MENU_SELECT_BETWEEN_LABELS_LABEL_ID, "ラベル間を選択(&B)"},
    {SW_MENU_SET_REGION_LABEL_LABEL_ID, "範囲ラベルをセット(&R)"},
    {SW_MENU_SET_REGION_LABEL_AS_REGION_LABEL_ID, "範囲ラベルを現在の範囲に(&A)"},
    {SW_MENU_CAT_REGION_LABELS_LABEL_ID, "範囲ラベルの結合(&o)"},
    {SW_MENU_DIVIDE_REGION_LABEL_LABEL_ID, "範囲ラベルの分割(&D)"},
    
    {SW_OPEN_DIALOG_TITLE_ID, "開く..."},
    {SW_SAVE_DIALOG_TITLE_ID, "名前を付けて保存..."},
    
    {SW_ERROR_TITLE_ID, "エラー"},
    {SW_WARNING_TITLE_ID, "警告"},
    {SW_INFO_TITLE_ID, "このソフトについて"},
    
    {SW_EDIT_ERROR_MESSAGE_ID, "編集できませんでした．"},
    {SW_REGION_ERROR_MESSAGE_ID, "範囲を指定して下さい．"},
    {SW_DELETE_WHOLE_ERROR_MESSAGE_ID, "波形全体を消すことはできません．"},
    {SW_PLAY_ERROR_MESSAGE_ID, "再生できませんでした．"},
    {SW_PLAY_LONG_ERROR_MESSAGE_ID, "再生範囲が長すぎます．"},
    {SW_LOOP_PLAY_SHORT_ERROR_MESSAGE_ID, "再生範囲がループするには短すぎます．"},
    
    {SW_CB_NOT_FOUND_ERROR_MESSAGE_ID, "クリップボードに内容がありません．"},
    {SW_CB_PROCESSING_ERROR_MESSAGE_ID, "クリップボードは使用中です．\n現在の処理が終了するまでお待ち下さい．"},
    {SW_CB_DIFFERENT_CHANNEL_ERROR_MESSAGE_ID, "チャネル数がクリップボードのものと異なります．"},
    {SW_CB_DIFFERENT_SAMP_RATE_ERROR_MESSAGE_ID, "サンプリング周波数がクリップボードのものと異なります．"},
    
    {SW_ANALYSIS_ERROR_MESSAGE_ID, "分析できません．"},
    {SW_ANALYSIS_LONG_ERROR_MESSAGE_ID, "分析範囲が長すぎます．"},

    {SW_OPEN_ERROR_MESSAGE_ID, "開けません: %s"},
    {SW_SAVE_ERROR_MESSAGE_ID, "保存できません．"},
    {SW_PLUGIN_ERROR_MESSAGE_ID, "プラグインのエラーが発生しました．"},
    {SW_PLUGIN_NOT_FOUND_MESSAGE_ID, "そのフォーマットでは保存できません．\n他のフォーマットを選んで下さい．"},
    {SW_FORMAT_NOT_SUPPORTED_MESSAGE_ID, "おそらくそのフォーマットはサポートされていません．"},
    {SW_SAVE_FIRST_ERROR_MESSAGE_ID, "このファイルを保存してから処理を行って下さい．"},
    {SW_FILE_NOT_EXIST_ERROR_MESSAGE_ID, "ファイルが存在しません: %s"},
    
    {SW_SUFFIX_ERROR_MESSAGE_ID, "その拡張子からは適切なフォーマットを決定できません．\n別の拡張子を使用して下さい．"},
    {SW_SAMP_BIT_ERROR_MESSAGE_ID, "ビット/サンプルの値がこのフォーマットではサポートされていません．"},
    {SW_SAMP_RATE_ERROR_MESSAGE_ID, "サンプリング周波数の値がこのフォーマットではサポートされていません．"},
    {SW_NUM_CHANNEL_ERROR_MESSAGE_ID, "チャネル数の値がこのフォーマットではサポートされていません．"},
    {SW_PARAMETER_ERROR_MESSAGE_ID, "`%s'の値が不正です．"},
    {SW_MULTIPLE_INSTANCE_ERROR_MESSAGE_ID, "このフォーマットでは，同時に一つのファイルしか処理できません．"},
    
    {SW_NO_LABEL_ERROR_MESSAGE_ID, "ラベルがありません．"},
    {SW_SAVE_BY_NORMAL_LABEL_TITLE_ID, "通常ラベルによる保存"},
    {SW_SAVE_BY_REGION_LABEL_TITLE_ID, "範囲ラベルによる保存"},
    {SW_SBL_SAVE_DIR_LABEL_ID, "保存先"},
    {SW_SBL_NAMING_RULE_NULL_LABEL_ERROR_MESSAGE_ID, "ラベルに文字が含まれていないため，この規則は選択できません．"},
    {SW_SBL_NAMING_RULE_LABEL_ID, "ファイル命名規則"},
    {SW_SBL_NAMING_LABEL_LABEL_ID, "ラベルの文字"},
    {SW_SBL_NAMING_DATA_LABEL_ID, "データの文字"},
    {SW_SBL_NAMING_ORIG_AND_LABEL_LABEL_ID, "ファイル名 + ラベルの文字"},
    {SW_SBL_NAMING_ORIG_AND_DATA_LABEL_ID, "ファイル名 + データの文字"},
    {SW_SBL_NAMING_AUTOSAVE_LABEL_ID, "自動保存に同じ"},
    {SW_SBL_NAMING_SERIAL_LABEL_ID, "連番"},
    {SW_SBL_NAMING_EDGE_POINTS_LABEL_ID, "両端点"},
    {SW_SBL_INDEX_FROM_1ST_LABEL_ID, "最初のラベルから連番を使う"},
    {SW_SBL_ILLEGAL_CHAR_TO_SPACE_LABEL_ID, "使用できない文字をスペースに"},
    {SW_SBL_DATA_AS_FILENAME_LABEL_ID, "文字をファイル名と見なす"},
    {SW_SBL_CREATE_WINDOW_LABEL_ID, "保存したファイルを新規ウィンドウで開く"},
	
    {SW_SAVE_CHANGES_QUESTION_TITLE_ID, "変更の保存"},
    {SW_SAVE_CHANGES_QUESTION_MESSAGE_ID, "\"%s\"を保存しますか?"},
    {SW_SAVE_LABEL_CHANGES_QUESTION_MESSAGE_ID, "ラベルを保存しますか?"},
    {SW_SAVE_REGION_LABEL_CHANGES_QUESTION_MESSAGE_ID, "範囲ラベルを保存しますか?"},
    {SW_SAVE_ERROR_CLOSE_QUESTION_MESSAGE_ID, "保存に失敗しました．\nそれでもウィンドウを閉じますか?"},
    {SW_SAVE_ERROR_CONTINUE_QUESTION_MESSAGE_ID, "保存に失敗しました．\nこのまま処理を続けますか?"},

    {"SW_SAMP_FREQ_CONV_ERROR_MESSAGE", "サンプリング周波数の変換に失敗しました．"},
    {"SW_SAMP_FREQ_CONV_FILTER_ERROR_MESSAGE", "サンプリング周波数変換のフィルタを作成できません．"},
    
    {SW_ERASE_LABEL_QUESTION_TITLE_ID, "ラベルの削除"},
    {SW_ERASE_LABEL_QUESTION_MESSAGE_ID, "ラベルを削除しますか?\nこの処理は取り消しできません．"},
    
    {SW_UNSUPPORTED_LABEL_QUESTION_TITLE_ID, "全てのラベルの削除"},
    {SW_UNSUPPORTED_LABEL_QUESTION_MESSAGE_ID, "このモードでサポートされていない数のラベルがあります．\n全てのラベルを削除しますか?"},
    {SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_TITLE_ID, "全ての通常ラベルの削除"},
    {SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_MESSAGE_ID, "このモードでサポートされていない数の通常ラベルがあります．\n全ての通常ラベルを削除しますか?"},
    {SW_UNSUPPORTED_REGION_LABEL_QUESTION_TITLE_ID, "全ての範囲ラベルの削除"},
    {SW_UNSUPPORTED_REGION_LABEL_QUESTION_MESSAGE_ID, "このモードでサポートされていない数の範囲ラベルがあります．\n全ての範囲ラベルを削除しますか?"},
    
    {SW_STOP_EDIT_QUESTION_MESSAGE_ID, "編集を中止しますか?"},
    {SW_CLEAR_LABEL_QUESTION_MESSAGE_ID, "全てのラベルを消去しますか?\nこの処理は取り消しできません．"},
    {SW_AUTOSAVE_CLEAR_LABEL_QUESTION_MESSAGE_ID,
	 "範囲ラベルは自動保存の前に消去されます．\n続けますか?\n消去したくない場合は予めラベルを保存しておいて下さい．"},
    {SW_TIME_FORMAT_ERROR_MESSAGE_ID, "時間のフォーマットが不正です．"},
    {SW_FIND_DATA_ERROR_MESSAGE_ID, "データが見つかりません．"},
    {SW_FIND_LABEL_NEAR_CURSOR_ERROR_MESSAGE_ID, "カーソルの近くにラベルはありません．"},
    {SW_FIND_LABEL_REGION_ERROR_MESSAGE_ID, "範囲内にラベルはありません．"},
    {SW_FIND_LABEL_ERROR_MESSAGE_ID, "ラベルが見つかりません．"},
    {SW_MAXIMUM_VALUE_TOO_SMALL_ERROR_MESSAGE_ID, "最大値が小さすぎます．"},
    {SW_FIND_ACTIVE_LABEL_ERROR_MESSAGE_ID, "選択されているラベルがありません．"},
    
    {SW_NEED_RESTART_WARNING_MESSAGE_ID, "この設定は再起動後に有効となります．"},
    {SW_OVERFLOW_WARNING_MESSAGE_ID, "オーバーフローが発生する可能性があります．\n続けますか?"},
    {SW_OVERFLOW_HAPPENED_WARNING_MESSAGE_ID, "オーバーフローが発生しました．"},
    {SW_ASSUME_FLOAT_NORMALIZED_WARNING_MESSAGE_ID, 
	"小数点値の最大値を1.0と仮定して処理を行います．\n続けますか?"},
    {SW_SAMP_RATE_CHANGED_WARNING_MESSAGE_ID,
	 "変換後のサンプリング周波数は誤差を含みます．\n正確なサンプリング周波数は%.2fです．"},
    {SW_PROCESSING_WARNING_MESSAGE_ID, "処理中にこの操作はできません．"},
    
    {SW_DISPLAY_HELP_ERROR_MESSAGE_ID, "ヘルプファイルが見付かりません．"},
    {SW_INFO_MESSAGE_ID, "spwave version %s\nCopyright(C) 坂野 秀樹"},

    {SW_FORMAT_TITLE_ID, "フォーマットの選択"},
    {SW_SAMP_RATE_LABEL_ID, "サンプリング周波数"},
    {SW_FORMAT_LABEL_ID, "ファイルフォーマット"},
    {SW_CHANNEL_LABEL_ID, "チャネル数"},
    {SW_BIT_LABEL_ID, "ビット/サンプル"},
    {SW_VALUE_LABEL_ID, "値"},
    
    {SW_SELECTION_TAB_TITLE_ID, "選択"},
    {SW_SELECTION_TAB_POINT_BOX_TITLE_ID, "ポイント"},
    {SW_SELECTION_TAB_TIME_BOX_TITLE_ID, "時刻"},
    {SW_SELECTION_TAB_START_LABEL_ID, "開始"},
    {SW_SELECTION_TAB_END_LABEL_ID, "終了"},
    {SW_SELECTION_TAB_LENGTH_LABEL_ID, "長さ"},
    {SW_SELECTION_TAB_PLAY_LABEL_ID, "再生"},
	
    {SW_NORMAL_LABEL_LABEL_ID, "通常ラベル"},
    {SW_REGION_LABEL_LABEL_ID, "範囲ラベル"},
    
    {SW_UPDATE_LABEL_LABEL_ID, "更新"},
    {SW_SELECT_LABEL_LABEL_ID, "選択"},
    {SW_EDIT_LABEL_LABEL_ID, "編集"},
    {SW_ERASE_LABEL_LABEL_ID, "削除"},
    {SW_CAT_LABEL_LABEL_ID, "結合"},
    {SW_PLAY_LABEL_LABEL_ID, "再生"},
    {SW_PREV_LABEL_LABEL_ID, "前へ"},
    {SW_NEXT_LABEL_LABEL_ID, "次へ"},
    
    {SW_AMPLIFY_DIALOG_TITLE_ID, "振幅の変更"},
    {SW_AMPLIFY_RATE_LABEL_ID, "変更率"},
    {SW_AMPLIFY_DB_LABEL_ID, "変更率(dB)"},

    {SW_MAXIMIZE_DIALOG_TITLE_ID, "最大化"},
    {SW_MAXIMIZE_RATE_LABEL_ID, "最大化率"},
    {SW_MAXIMIZE_DB_LABEL_ID, "最大化率(dB)"},
    
    {SW_SAMP_RATE_CONV_DIALOG_TITLE_ID, "サンプリング周波数の変換"},
    {SW_CHANNEL_CONV_DIALOG_TITLE_ID, "チャネル数の変換"},
    {SW_BIT_CONV_DIALOG_TITLE_ID, "ビット/サンプルの変換"},
    {SW_FLOAT_NORMALIZED_LABEL_ID, "小数点の値は-1から1に正規化されていると仮定"},
    {SW_INSERT_PAUSE_DIALOG_TITLE_ID, "無音区間の挿入"},
    {SW_PAUSE_LABEL_ID, "無音区間の長さ"},
    {SW_CHANGE_VALUE_DIALOG_TITLE_ID, "値の変更"},

    {SW_SFC_CUTOFF_LABEL_ID, "正規化カットオフ"},
    {SW_SFC_SIDELOBE_LABEL_ID, "サイドローブ"},
    {SW_SFC_TRANSITION_LABEL_ID, "正規化遷移域"},
    {SW_SFC_GAIN_LABEL_ID, "ゲイン"},
    {SW_SFC_TOLERANCE_LABEL_ID, "許容誤差"},
    {SW_SFC_BUFFER_LENGTH_LABEL_ID, "バッファー長"},
    
    {SW_PREFERENCE_TITLE_ID, "設定"},
    {SW_USE_DEFAULT_FORMAT_LABEL_ID, "読み込み時にデフォルトのフォーマットを使用"},
    
    {SW_FILE_TAB_LABEL_ID, "ファイル"},
    {SW_LOOK_TAB_LABEL_ID, "外観"},
    {SW_DISPLAY_TAB_LABEL_ID, "表示"},
    {SW_SOUND_TAB_LABEL_ID, "サウンド"},
    {SW_LABEL_TAB_LABEL_ID, "ラベル"},
    {SW_AUTOSAVE_TAB_LABEL_ID, "自動保存"},
    
    {SW_LOOK_LIKE_LABEL_ID, "外観"},
    {SW_LOOK_LIKE_DIMENSION_ID, "風"},
    {SW_CANVAS_FONT_LABEL_ID, "描画エリアのフォント"},
    {SW_WINDOW_SIZE_LABEL_ID, "ウィンドウサイズ"},
    {SW_PRINT_SIZE_LABEL_ID, "印刷サイズ"},
    {SW_INFO_AREA_WIDTH_LABEL_ID, "情報エリアの幅"},
    {SW_USE_PLAY_COMMAND_LABEL_ID, "再生コマンドを強制的に使用"},
    {SW_PLAY_COMMAND_LABEL_ID, "再生コマンド"},
    {SW_AUDIO_DRIVER_LABEL_ID, "オーディオドライバー"},
    {SW_BUFFER_SIZE_LABEL_ID, "オーディオバッファー"},
    {SW_PLAY_DRAW_LABEL_ID, "再生中にカーソルを描画"},
    {SW_USE_LOOP_PLAY_LABEL_ID, "デフォルトでループ再生を行う"},
    {SW_USE_SYNC_PLAY_LABEL_ID, "デフォルトで同期再生を行う"},
    {SW_USE_THREAD_LABEL_ID, "処理にスレッドを使用"},
    {SW_USE_LOWLEVEL_THREAD_LABEL_ID, "低レベルスレッドを使用"},
    {SW_ALT_CTRL_SWAP_LABEL_ID, "ショートカットのAltキーとCtrlキーの入れ替え"},
    {SW_SCROLL_LEFT_BY_WHEEL_DOWN_LABEL_ID, "ホイールダウンで左にスクロール"},
    {SW_USE_TOOL_BAR_LABEL_ID, "ツールバーの使用"},
    {SW_DISPLAY_METER_LABEL_ID, "レベルメーターの表示"},
    {SW_DRAW_SELECTION_TIMES_LABEL_ID, "選択範囲の時間の描画"},
    {SW_DRAW_SELECTION_LENGTH_LABEL_ID, "選択範囲の長さの描画"},
    {SW_DRAW_LABEL_LABEL_ID, "ラベルの描画"},
    {SW_DRAW_SCALE_LABEL_ID, "スケールの描画"},
    {SW_DRAW_GRID_LABEL_ID, "グリッドの描画"},
    {SW_PERCENT_AMPLITUDE_LABEL_ID, "振幅をパーセントで表示"},
    
    {SW_DISPLAY_INFO_AREA_LABEL_ID, "デフォルトで情報エリアを表示"},
    {SW_DISPLAY_FREQ_INFO_AREA_LABEL_ID, "情報エリアを周波数データに表示"},
    {SW_LINK_REGION_LABEL_LABEL_ID, "選択されたラベルを現在の範囲にする"},
    {SW_ERASE_LABEL_PROMPT_LABEL_ID, "ラベルを削除する前に尋ねる"},
    {SW_LOAD_DEFAULT_LABEL_LABEL_ID, "同じディレクトリのデフォルトのラベルを読み込む"},
    {SW_DEFAULT_LABEL_SUFFIX_LABEL_ID, "デフォルトのラベルの拡張子"},
    
    {SW_AUTOSAVE_DIR_LABEL_ID, "自動保存先"},
    {SW_AUTOSAVE_ID_TYPE_LABEL_ID, "自動保存IDの種類"},
    {SW_AUTOSAVE_ID_PREFIX_LABEL_ID, "IDのプリフィックス"},
    {SW_AUTOSAVE_LABEL_SUFFIX_LABEL_ID, "ラベルの拡張子"},
    {SW_AUTOSAVE_LABEL_FULLPATH_LABEL_ID, "ラベルファイルにフルパスを書き込む"},
    {SW_AUTOSAVE_DROP_LABEL_ID, "ドラッグ&&ドロップにより自動保存"},
    
    {SW_LABEL_DIALOG_TITLE_ID, "ラベルダイアログ"},
    {SW_LABEL_DIALOG_TIME_LABEL_ID, "時間"},
    {SW_LABEL_DIALOG_END_TIME_LABEL_ID, "終了"},
    {SW_LABEL_DIALOG_DATA_LABEL_ID, "データ"},
    {SW_LABEL_DIALOG_SYMBOL_LABEL_ID, "文字"},
    {SW_LABEL_DIALOG_CHANNEL_LABEL_ID, "チャネル"},
    
    {SW_ANALYSIS_DIALOG_TITLE_ID, "分析の設定"},
    {SW_ANALYSIS_PARAMETER_LABEL_ID, "パラメータ"},
    {SW_ANALYSIS_TYPE_LABEL_ID, "分析の種類"},
    {SW_ANALYSIS_WINDOW_TYPE_LABEL_ID, "分析窓の種類"},
    {SW_ANALYSIS_FFT_LENGTH_LABEL_ID, "最小のFFT長"},
    {SW_ANALYSIS_MAX_FFT_LENGTH_LABEL_ID, "最大のFFT長"},
    {SW_ANALYSIS_LIFTER_LABEL_ID, "リフタ長"},
    {SW_ANALYSIS_ATTRIBUTE_LABEL_ID, "動作"},
    {SW_ANALYSIS_NEW_WINDOW_LABEL_ID, "常に新しいウィンドウを作成"},
    {SW_ANALYSIS_LINEAR_SPECTRUM_LABEL_ID, "スペクトルにデシベルを使わない"},
    {SW_ANALYSIS_NORMALIZE_SPECTRUM_LABEL_ID, "正規化したスペクトルを表示"},
    {SW_ANALYSIS_NORMALIZE_SPECTRUM_MAX_LABEL_ID, "波形の最大値での正規化"},
    
    {SW_SPECTROGRAM_DIALOG_TITLE_ID, "スペクトログラムの設定"},
    {SW_SPECTROGRAM_RANGE_LABEL_ID, "レンジ(dB)"},
    {SW_SPECTROGRAM_LIMIT_THRESHOLD_LABEL_ID, "出力制限閾値(dB)"},
    {SW_SPECTROGRAM_SIMPLIFIED_LABEL_ID, "省略して描画"},
    {SW_SPECTROGRAM_GRAY_SCALE_LABEL_ID, "グレースケールで描画"},

    {SW_OPTION_DIALOG_TITLE_ID, "フォーマットオプション"},
    
    {SW_INFO_DIALOG_TITLE_ID, "ファイルの情報"},
    {SW_INFO_DIALOG_TITLE_LABEL_ID, "タイトル"},
    {SW_INFO_DIALOG_ARTIST_LABEL_ID, "アーティスト"},
    {SW_INFO_DIALOG_ALBUM_LABEL_ID, "アルバム"},
    {SW_INFO_DIALOG_ALBUM_ARTIST_LABEL_ID, "アルバムアーティスト"},
    {SW_INFO_DIALOG_COMPOSER_LABEL_ID, "作曲者"},
    {SW_INFO_DIALOG_LYRICIST_LABEL_ID, "作詞者"},
    {SW_INFO_DIALOG_GENRE_LABEL_ID, "ジャンル"},
    {SW_INFO_DIALOG_RELEASE_LABEL_ID, "リリース"},
    {SW_INFO_DIALOG_TEMPO_LABEL_ID, "テンポ"},
    {SW_INFO_DIALOG_TRACK_LABEL_ID, "トラック"},
    {SW_INFO_DIALOG_DISC_LABEL_ID, "ディスク"},
    {SW_INFO_DIALOG_COPYRIGHT_LABEL_ID, "コピーライト"},
    {SW_INFO_DIALOG_PRODUCER_LABEL_ID, "プロデューサー"},
    {SW_INFO_DIALOG_ENGINEER_LABEL_ID, "エンジニア"},
    {SW_INFO_DIALOG_SOURCE_LABEL_ID, "ソース"},
    {SW_INFO_DIALOG_ISRC_LABEL_ID, "ISRC"},
    {SW_INFO_DIALOG_SOFTWARE_LABEL_ID, "ソフトウェア"},
    {SW_INFO_DIALOG_SUBJECT_LABEL_ID, "内容"},
    {SW_INFO_DIALOG_COMMENT_LABEL_ID, "コメント"},

    {"SW_GENERATE_DIALOG_TITLE", "波形生成"},
    {"SW_GENERATE_DIALOG_WAVEFORM_TAB_LABEL", "波形の設定"},
    {"SW_GENERATE_DIALOG_WAVEFORM_LABEL", "波形"},
    {"SW_GENERATE_DIALOG_FREQUENCY_LABEL", "周波数"},
    {"SW_GENERATE_DIALOG_PHASE_LABEL", "位相"},
    {"SW_GENERATE_DIALOG_GAIN_LABEL", "ゲイン(%)"},
    {"SW_GENERATE_DIALOG_GAIN_DB_LABEL", "ゲイン(dB)"},
    {"SW_GENERATE_DIALOG_DELAY_LABEL", "ディレイ"},
    {"SW_GENERATE_DIALOG_DURATION_LABEL", "継続長"},
    {"SW_GENERATE_DIALOG_FILE_TAB_LABEL", "ファイルの設定"},
    {"SW_GENERATE_DIALOG_LENGTH_LABEL", "全体の長さ"},
    
    {"SW_FILTERING_DIALOG_TITLE", "フィルタリング"},
    {"SW_FILTERING_DIALOG_FILTER_TYPE", "フィルタの種類"},
    {"SW_FILTERING_DIALOG_HIGHPASS_CUTOFF", "ハイパスのカットオフ"},
    {"SW_FILTERING_DIALOG_LOWPASS_CUTOFF", "ローパスのカットオフ"},
    {"SW_FILTERING_DIALOG_TRANSITION", "遷移域"},
    
#if defined(SW_AH_CUSTOM)
#include "swStringDefsAH_UTF8JP.h"
#endif
    
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif
